/////////////////////////////////////////////////////////////////////
// (C) Copyright 1993-2005 by Autodesk, Inc. 
//
// Permission to use, copy, modify, and distribute this software in
// object code form for any purpose and without fee is hereby granted, 
// provided that the above copyright notice appears in all copies and 
// that both that copyright notice and the limited warranty and
// restricted rights notice below appear in all supporting 
// documentation.
//
// AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS. 
// AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
// MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC. 
// DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
// UNINTERRUPTED OR ERROR FREE.
//
// Use, duplication, or disclosure by the U.S. Government is subject to 
// restrictions set forth in FAR 52.227-19 (Commercial Computer
// Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
// (Rights in Technical Data and Computer Software), as applicable.
//
//
/////////////////////////////////////////////////////////////////////
#include "stdafx.h"
#include "acm.h"
#include "acmdef.h"
#include "bommgr.h"
#include "bomReactor.h"
#include "watcher.h"

void initWatcher();
void releaseWatcher();
/////////////////////////////////////////////////////////////////////////////////
// Commands
/////////////////////////////////////////////////////////////////////////////////
AmdtWatcher *pReactor = 0;
// throughout the comments in this file, 'object' means either part reference (when
// a method gets the object through selectRefArray() call, or a record (BomRow) 
// in BOM table (when given by a number and a BOM table).

// prints out data for selected object
//
void bomWatch()
{
  if( !pReactor ) {
    initWatcher();
  }
  else {
    releaseWatcher();
  }
}

void initWatcher()
{
  if( pReactor ) return;
  pReactor = new AmdtWatcher();
  acmBomMgr->attachBomReactor(pReactor);
  acutPrintf(_T("\nBOM Watcher has been started."));
}

void releaseWatcher()
{
  if( !pReactor ) return;
  acmBomMgr->removeBomReactor(pReactor);
  delete pReactor;
  pReactor = NULL;
  acutPrintf(_T("\nBOM Watcher has been stopped."));
}




